/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.config.dataspec;

import org.stormcat.jvbeans.config.RecordTypeId;
import org.stormcat.jvbeans.config.condition.RealTimeOpenCondition;
import org.stormcat.jvbeans.dto.HorseRaceInfoDto;
import org.stormcat.jvbeans.dto.RaceDetailDto;
import org.stormcat.jvbeans.dto.RefundDto;



/**
 * @author a.yamada
 *
 */
public enum _0b15 implements org.stormcat.jvbeans.config.dataspec.RealTimeDataSpec {

    INSTANCE;
    
    public RealTimeOpenCondition<RaceDetailDto> _RA() {
        return new RealTimeOpenCondition<RaceDetailDto>(this, RecordTypeId.RA, RaceDetailDto.class);
    }
    
    public RealTimeOpenCondition<HorseRaceInfoDto> _SE() {
        return new RealTimeOpenCondition<HorseRaceInfoDto>(this, RecordTypeId.SE, HorseRaceInfoDto.class);
    }
    
    public RealTimeOpenCondition<RefundDto> _HR() {
        return new RealTimeOpenCondition<RefundDto>(this, RecordTypeId.HR, RefundDto.class);
    }

    /**
     * {@inheritDoc}
     */
    public String getName() {
        return "速報レース情報(出走馬名表～）";
    }

    /**
     * {@inheritDoc}
     */
    public String getValue() {
        return "0B15";
    }
    
}
